For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
      • GETGet all flags (SDK)
      • GETGet a single feature flag
  • Frontend API
  • Admin API

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Client APIFeature flags

Get all flags (SDK)

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/client/features
GET
/api/client/features
$curl https://app.unleash-instance.example.com/api/client/features \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "version": 2,
3 "features": [
4 {
5 "name": "new.payment.flow.stripe",
6 "enabled": true,
7 "type": "release",
8 "description": "No variants here",
9 "stale": false,
10 "impressionData": false,
11 "project": "new.payment.flow",
12 "strategies": [
13 {
14 "name": "flexibleRollout",
15 "id": "6b5157cb-343a-41e7-bfa3-7b4ec3044840",
16 "title": "Gradual Rollout 25-Prod",
17 "disabled": false,
18 "featureName": "myAwesomeFeature",
19 "sortOrder": 9999,
20 "segments": [
21 1,
22 2
23 ],
24 "constraints": [
25 {
26 "contextName": "appName",
27 "operator": "IN",
28 "caseInsensitive": false,
29 "inverted": false,
30 "values": [
31 "my-app",
32 "my-other-app"
33 ],
34 "value": "my-app"
35 }
36 ],
37 "variants": [
38 {
39 "name": "blue_group",
40 "weight": 1,
41 "weightType": "fix",
42 "stickiness": "custom.context.field",
43 "payload": {
44 "type": "json",
45 "value": "{\"color\": \"red\"}"
46 }
47 }
48 ],
49 "parameters": {}
50 }
51 ],
52 "variants": [
53 {
54 "name": "blue_group",
55 "weight": 1.1,
56 "weightType": "variable",
57 "stickiness": "custom.context.field",
58 "payload": {
59 "type": "json",
60 "value": "{\"color\": \"red\"}"
61 },
62 "overrides": [
63 {
64 "contextName": "userId",
65 "values": [
66 "red",
67 "blue"
68 ]
69 }
70 ]
71 }
72 ],
73 "dependencies": [
74 {
75 "feature": "parent_feature",
76 "enabled": false,
77 "variants": [
78 "variantA",
79 "variantB"
80 ]
81 }
82 ]
83 }
84 ],
85 "segments": [
86 {
87 "id": 1.1,
88 "constraints": [
89 {
90 "contextName": "appName",
91 "operator": "IN",
92 "caseInsensitive": false,
93 "inverted": false,
94 "values": [
95 "my-app",
96 "my-other-app"
97 ],
98 "value": "my-app"
99 }
100 ],
101 "name": "segment A"
102 }
103 ],
104 "query": {
105 "tag": [
106 [
107 "simple:payment",
108 "simple:stripejourney"
109 ]
110 ],
111 "namePrefix": "payment",
112 "inlineSegmentConstraints": true,
113 "project": [
114 "new.payment.flow"
115 ],
116 "environment": "string"
117 }
118}
Returns the SDK configuration for all feature flags that are available to the provided API key. Used by SDKs to configure local evaluation
Was this page helpful?
Previous

Get a single feature flag

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

clientFeaturesSchema
versiondouble>=0
A version number for the format used in the response. Most Unleash instances now return version 2, which includes segments as a separate array
featureslist of objects
A list of feature flags with their configuration
segmentslist of objects

A list of Segments configured for this Unleash instance

queryobject
A summary of filters and parameters sent to the endpoint. Used by the server to build the features and segments response